python-pyocr_0.3.0-1_all.deb


Advertisement

Description

python-pyocr - Python wrapper for OCR engines (Python 2)

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-pyocr
Package version: 0.3.0
Package release: 1
Package architecture: all
Package type: deb
Installed size: 82 B
Download size: 11.40 KB
Official Mirror: archive.ubuntu.com
PyOCR is an optical character recognition (OCR) tool wrapper for Python. That is, it helps using OCR tools from a Python program. PyOCR can be used as a wrapper for google's Tesseract-OCR or Cuneiform. It can read all image types supported by Pillow, including jpeg, png, gif, bmp, tiff, and others. It also support bounding box data. This is the Python 2 version of the package.

Alternatives

    Download

    Source package: python-pyocr

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-pyocr deb package:
      # sudo apt-get install python-pyocr

    Files

    • /usr/lib/python2.7/dist-packages/pyocr/__init__.py
    • /usr/lib/python2.7/dist-packages/pyocr/builders.py
    • /usr/lib/python2.7/dist-packages/pyocr/cuneiform.py
    • /usr/lib/python2.7/dist-packages/pyocr/pyocr.py
    • /usr/lib/python2.7/dist-packages/pyocr/tesseract.py
    • /usr/lib/python2.7/dist-packages/pyocr/util.py
    • /usr/lib/python2.7/dist-packages/pyocr-0.3.0.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/pyocr-0.3.0.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/pyocr-0.3.0.egg-info/requires.txt
    • /usr/lib/python2.7/dist-packages/pyocr-0.3.0.egg-info/top_level.txt
    • /usr/share/doc/python-pyocr/changelog.Debian.gz
    • /usr/share/doc/python-pyocr/copyright

    Changelog

    2015-01-13 - Paul Liétar <paul@lietar.net> python-pyocr (0.3.0-1) unstable; urgency=medium * New upstream release * debian: Fix capitalization of project name

    2014-11-29 - Paul Liétar <paul@lietar.net> python-pyocr (0.2.4-2) unstable; urgency=medium * debian/rules: do not run tests if DEB_BUILD_OPTIONS contains nocheck * debian/copyright: Update tesseract.py path. * debian/control: bump Standards-Version to 3.9.6

    2014-08-13 - Paul Liétar <paul@lietar.net> python-pyocr (0.2.4-1) unstable; urgency=medium * New upstream release * debian/patches: remove patches which have been upstreamed

    2014-08-12 - Paul Liétar <paul@lietar.net> python-pyocr (0.2.3-5) unstable; urgency=medium [ Paul Liétar ] * debian: change package maintainer.

    2014-04-06 - Ross Vandegrift <ross@kallisti.us> python-pyocr (0.2.3-4) unstable; urgency=medium * debian/control: fix depends on python-pil

    2014-04-02 - Ross Vandegrift <ross@kallisti.us> python-pyocr (0.2.3-3) unstable; urgency=medium * debian/control: update Build-Deps for tests

    2014-03-23 - Ross Vandegrift <ross@kallisti.us> python-pyocr (0.2.3-2) unstable; urgency=medium * debian/control: remove extra whitespace * debian/copyright: meet copyright format 1.0 * debian/rules: fix tests on build * debian/patches: * 0001-Disable-tests-incompatible-with-Tesseract-3.3.0.patch; disable incompatible tests * 0002-Fix-missing-comma-from-export-list.patch; fix typo in an export list

    2014-03-20 - Ross Vandegrift <ross@kallisti.us> python-pyocr (0.2.3-1) unstable; urgency=medium * New upstream release [ Jerome Flesch ] * Always strip the Alpha channel before trying to write the temporary images * Fix: Take into account that new versions of Tesseract uses the file extension .hocr instead of .html * Fix: Make hocr parsing more resistant: there maybe extra data around the box positions [ Ross Vandegrift ] * debian/patches: * 0001-Fix-Take-into-account-that-new-versions-of-Tesseract.patch: remove; released upstream. * 0002-Fix-Make-hocr-parsing-more-resistant-there-maybe-ext.patch: remove; released upstream.

    2014-03-20 - Ross Vandegrift <ross@kallisti.us> python-pyocr (0.2.2-3) unstable; urgency=medium * Debian release 0.2.2-3 * Cherry-pick 07bb23 to fix Jessie hocr parsing.

    2014-03-19 - Ross Vandegrift <ross@kallisti.us> python-pyocr (0.2.2-2) unstable; urgency=medium * Debian release 0.2.2-1 * Cherry-pick 27d490 to fix Jessie tesseract.

    Advertisement
    Advertisement